Bug 197734 - Review Request: xmoto - Challenging 2D Motocross Platform Game
Review Request: xmoto - Challenging 2D Motocross Platform Game
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Package Reviews List
:
Depends On: 197641
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-07-05 17:10 EDT by Hugo Cisneiros
Modified: 2007-11-30 17:11 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-21 16:29:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Hugo Cisneiros 2006-07-05 17:10:39 EDT
Spec URL: http://www.devin.com.br/eitch/fextras/SPECS/xmoto.spec
SRPM URL: http://www.devin.com.br/eitch/fextras/SRPMS/xmoto-0.1.16-1.src.rpm
Description:

X-Moto is a challenging 2D motocross platform game, where physics play an all
important role in the gameplay. You need to control your bike to its limit, if
you want to have a chance finishing the more difficult of the challenges.

First you'll try just to complete the levels, while later you'll compete with
yourself and others, racing against the clock.
Comment 1 Hugo Cisneiros 2006-07-05 17:13:02 EDT
This package needs ode. The ode package is the review process too. See Bug 
#197641.
Comment 2 Christopher Stone 2006-07-18 14:44:37 EDT
Tried building in mock, this package needs libGLU-devel
Comment 3 Hugo Cisneiros 2006-07-19 00:26:18 EDT
Package updated with fix from Comment #2:

Spec URL: http://www.devin.com.br/eitch/fextras/SPECS/xmoto.spec
SRPM URL: http://www.devin.com.br/eitch/fextras/SRPMS/xmoto-0.1.16-1.src.rpm
Comment 4 Hans de Goede 2006-07-19 05:42:03 EDT
MUST:
=====
* rpmlint output is clean
* Package and spec file named appropriately
* Packaged according to packaging guidelines
* License (GPL) ok, license file included
* spec file is legible and in Am. English.
* Source matches upstream
* Compiles and builds on devel-x86_64
* BR: ok (see below)
* No locales
* No shared libraries
* Not relocatable
* Package owns / or requires all dirs
* No duplicate files & Permissions ok
* %clean & macro usage OK
* Contains code only
* %doc does not affect runtime, and isn't large enough to warrent a sub package
* no -devel package needed, no libs / .la files.
* .desktop file as required and properly installed


Should fix:
===========
*Redundant BR: SDL-devel (already required through SDL_mixer-devel)requires and
 and zlib-devel (through libpng-devel), please remove those from the BR-s

No blockers -> approved!
Comment 5 Hugo Cisneiros 2006-07-21 16:29:07 EDT
Package imported and built! Closing. Thanks.
Comment 6 Gwyn Ciesla 2007-02-26 15:26:20 EST
Change owner to limb@jcomserv.net (orphaned)

Note You need to log in before you can comment on or make changes to this bug.